<?php
include('../../dao/auto_load.php');
$conecta = new \Conn\MySqlConnect();
$vencimentosDao = new \Dao\Vencimentos();
$vencimentosDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$vencimentosDao->data_cadastro = date('Y-m-d H:i:s');
$vencimentosDao->usuario_cadastrou = $_SESSION['id_usuario'];
$lst_vencimentos = $vencimentosDao->getLista($conecta, "AND nome = '$vencimentosDao->nome'");
if (!empty($lst_vencimentos)) {
    echo json_encode(['type' => 'error', 'message' => 'Já Existe Uma Vencimento Cadastrada Com Este Nome!']);
    $valid = false;
}
$res = json_decode($vencimentosDao->salvar($conecta));
if ($res->data == 'Success') {
    echo json_encode(['type' => 'success', 'message' => $res->message]);
    return;
}
echo json_encode(['type' => 'error', 'message' => $res->message]);